Subject: bug#66394: 29.1; Make register-read-with-preview more useful

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 12 Dec 2023 16:44:49 +0000

Thierry Volpiatto <[email-masked]> writes:

> Here a third patch that allows more precise configuration if needed.
> For example if you have register-use-preview == nil, no confirmation
> with RET is needed everywhere, even when overwriting a register.  If you
> want to have a confirmation when overwriting but no confirmation when
> jumping/inserting you can use this in addition of register-use-preview
> == nil:

Finally patch 0003 is not needed, one can override default with:

    (cl-defmethod register-command-info ((_command (eql copy-to-register)))
      (make-register-preview-info
       :types '(all)
       :msg "Copy to register `%s'"
       :act 'set
       :noconfirm nil))

-- 
Thierry